package test.org.seasar.jsf.template.impl;

import org.seasar.extension.unit.S2TestCase;
import org.seasar.jsf.template.ViewTemplate;
import org.seasar.jsf.template.impl.ViewTemplateFactoryImpl;

/**
 * @author higa
 *  
 */
public class ViewTemplateFactoryImplTest extends S2TestCase {

	private static final String PATH = "/test/org/seasar/jsf/template/impl/hello";

	private ViewTemplateFactoryImpl vtf_;
	
	public ViewTemplateFactoryImplTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ViewTemplateFactoryImplTest.class);
	}

	public void testGetViewTemplate() throws Exception {
		ViewTemplate vt = vtf_.getViewTemplate(PATH);
		assertNotNull("1", vt);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		include("jsf.dicon");
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}
}